Unified view

GET /api/v1/channel_data

Returns a list of metering unit readings by archive type and resource provider time interval in a unified form.

Query parameters

archive_type string

Archive type for which data is being uploaded. For a list of archive types, see the table “Directory of archive types”.

equipment_id integer

Metering device identifier for which data is being uploaded.

fp_start string

Time interval (segment start) in yyyy-mm-dd format for which data is being uploaded.

fp_end string

Time interval (segment end) in yyyy-mm-dd format for which data is being uploaded.

page integer

Page number.

channel_consolidation integer

Set to 1 to unload the parameter in a unified form, if any.

Response fields

AttributeDescription
event_timeDate and time of meter readings in UTC format
channel_dataArchive data. Unified channel names: gas_consume - standard gas volume for the period, reading_value - accumulated standard gas volume, VNakwork - accumulated working gas volume, Vwork - working gas volume, P - pressure, T - temperature
dataArray of returned data
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/channel_data?archive_type=hourly&equipment_id=25&fp_end=2021-02-20&fp_start=2021-02-01&page=2&channel_consolidation=1"

Response

آخر تحديث في

هل كانت هذه الصفحة مفيدة؟